Remotehost Docs
API ReferenceAgent tokens

Create a personal agent token

POST
/me/agent-tokens

User sign-in required. Explicit delegation across accessible organizations; does not alter organization API keys. sandbox.create permits waking existing sandboxes only. Token returned once.

Authorization

bearerAuth
AuthorizationBearer <token>

A RemoteHost API key (rh_sk_...) or a user session token.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/me/agent-tokens" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "scopes": [      "agent_session.read"    ]  }'
{  "agentToken": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string",    "token_prefix": "string",    "scopes": [      "agent_session.read"    ],    "created_at": "string",    "expires_at": "string",    "revoked_at": "string"  },  "token": "string"}